Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## messenger
Class FXQuote

    java.lang.Object
      messenger.FXQuote

    public class FXQuote

extends java.lang.Object

Contains fields and getter methods for a FX Quote.

Constructor Summary
`FXQuote(java.util.Date timeStamp, java.lang.String currencyPair, java.lang.String offerID, double offerPrice, double offerSize, java.lang.String bidID, double bidPrice, double bidSize)` Creates the FXQuote.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares quotes and returns true if the bid IDs and offerIDs are the same.
`java.lang.String` | `getBidID()` Return string bidID.
`double` | `getBidPrice()` Returns double bidPrice.
`double` | `getBidSize()` Returns double bidSize.
`java.lang.String` | `getCurrencyPair()` Returns String currencyPair.
`java.lang.String` | `getOfferID()` Returns String offerID.
`double` | `getOfferPrice()` Return double offerPrice.
`double` | `getOfferSize()` Returns double offerSize.
`java.util.Date` | `getTimeStamp()` Returns timestamp of when FXQuote is generated.
`int` | `hashCode()` Override hashcode of objects to allow comparing of the objects.
`java.lang.String` | `toString()` Pretty print of FXQuote.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FXQuote

    public FXQuote(java.util.Date timeStamp,
                   java.lang.String currencyPair,
                   java.lang.String offerID,
                   double offerPrice,
                   double offerSize,
                   java.lang.String bidID,
                   double bidPrice,
                   double bidSize)

  Creates the FXQuote.

  Parameters:
    `timeStamp` - time that the quote was issued
    `currencyPair` - currency pair in format XXX/YYY
    `offerID` - offer ID
    `offerPrice` - offer price
    `offerSize` - offer amount
    `bidID` - bid ID
    `bidPrice` - bid price
    `bidSize` - bid amount

Method Detail

### getTimeStamp

    public java.util.Date getTimeStamp()

  Returns timestamp of when FXQuote is generated.

  Returns:
    Date

### getOfferID

    public java.lang.String getOfferID()

  Returns String offerID.

  Returns:

### getOfferSize

    public double getOfferSize()

  Returns double offerSize.

  Returns:

### getCurrencyPair

    public java.lang.String getCurrencyPair()

  Returns String currencyPair.

  Returns:

### getOfferPrice

    public double getOfferPrice()

  Return double offerPrice.

  Returns:

### getBidID

    public java.lang.String getBidID()

  Return string bidID.

  Returns:

### getBidPrice

    public double getBidPrice()

  Returns double bidPrice.

  Returns:

### getBidSize

    public double getBidSize()

  Returns double bidSize.

  Returns:

### toString

    public java.lang.String toString()

  Pretty print of FXQuote.

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Compares quotes and returns true if the bid IDs and offerIDs are the same.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Override hashcode of objects to allow comparing of the objects.

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD